#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include "df.h"
#include "mfsd.h"
#include "inspectHDF.h"


/*
 * Function: infoPAL.
 *
 * Purpose: Get Info on Palettes. 
 *
 */

void infoPAL(hdf_file, settings)
 char *hdf_file;
 settype *settings;
{
  int32 n_palettes;

  n_palettes = DFPnpals(hdf_file);

  if (n_palettes > 0)
    {
     printf("\n*Palettes\n");
     printf(" --------\n\n");

     if (n_palettes == 1)
       printf(" There is %d palette.\n", n_palettes);
     else
       printf(" There are %d palettes.\n", n_palettes);

     printf("\n");
    }
}				/* END infoPAL */
