
#define FIRST 1		/* used by getfid() and getdesc() */
#define NEXT 0


#include "netcdf.h"

#define MAXRANK MAX_VAR_DIMS	/* max dims based on netcdf.h file */

#define MAXLEN 41	/*max length for SDS label, units, format, & cordsys */

typedef struct {
    int briefANN;
    int briefAMT;
    int SDS;
    int MFSD;
    int FILE_INFO;
    int RIS8;
    int PAL;
    int VSETS;
    int all_VSETS;
    int INTRO;
} settype;

void infoINTRO();
void infoVSET();
void infoVSET_node();
void infoSDS();
void infoMFSD();
void infoRIS();
void infoPAL();
void infoFILE();
void infoVERSION();
void read_ann();

int ParseCommandLine();
void usage();
void indent_in();

void DefaultSettings();
void error();
